#
# Add SQL definition of database tables
#
CREATE TABLE pages (
    caseclient int(11) DEFAULT '0' NOT NULL,
    casecolor varchar(16) DEFAULT '' NOT NULL,
    casepremium smallint(6) DEFAULT '0' NOT NULL,
    casethumb int(11) DEFAULT '0' NOT NULL,
    casevideo int(11) DEFAULT '0' NOT NULL,
    casedescription text DEFAULT '' NOT NULL,
    casestatement text DEFAULT '' NOT NULL,
);

CREATE TABLE tt_content (
    color_scheme tinytext DEFAULT 'auto' NOT NULL,
);

CREATE TABLE tx_amadeusnext_domain_model_client (
    uid int(11) PRIMARY KEY auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    company tinytext DEFAULT '' NOT NULL,
    description text DEFAULT '' NOT NULL,
    logo int(11) unsigned DEFAULT '0' NOT NULL,
    logowhite int(11) unsigned DEFAULT '0' NOT NULL,
    url varchar(192) DEFAULT '' NOT NULL,
    nolink tinyint(4) DEFAULT '0' NOT NULL,
);

CREATE TABLE tx_amadeusnext_domain_model_award (
    uid int(11) PRIMARY KEY auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    title tinytext DEFAULT '' NOT NULL,
    description tinytext DEFAULT '' NOT NULL,
    logo int(11) unsigned DEFAULT '0' NOT NULL,
    project int(11) unsigned DEFAULT '0' NOT NULL,
    url varchar(192) DEFAULT '' NOT NULL,
    linkmode tinyint(4) DEFAULT '0' NOT NULL,
    importance smallint unsigned DEFAULT '10' NOT NULL,
);

